<?php
/**
 * @version        Somao_Search X1.0 9:23 2012-1-1 Somao $
 * @package        Somao_Search.Site
 * @copyright      Copyright (c) 2009 - 2012, Somao, Inc.
 * @license        http://www.somao123.com/
 * @link           http://www.somao.cc/
**/
require "global.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=gbk">
<meta content="Comsenz Inc." name="Copyright" />
<link rel="stylesheet" href="css/admincp.css" type="text/css" media="all" />
<script src="css/common.js" type="text/javascript"></script>
</head>
<body style="margin: 0px" scroll="no">
<div id="append_parent"></div>
<table id="frametable" cellpadding="0" cellspacing="0" width="100%" height="100%">
<tr>
<td colspan="2" height="90">
<div class="mainhd">
<a href="index.php" class="logo">搜猫搜索</a>
<div class="uinfo" id="frameuinfo">
<p>你好, <?php if($admin["arank"]==1){echo '普通管理员';}elseif($admin["arank"]==10){echo '超级管理员';}?> <em><?php echo $admin["adminname"];?></em> [<a href="login.php?action=logou" target="_top">退出</a>]</p>
<p class="btnlink"><a href="/index.php" target="_blank">站点首页</a></p>
</div>
<div class="navbg"></div>
<div class="nav">
<ul id="topmenu">
   <li><em><a href="index_main.php" id="header_index" hidefocus="true" onMouseOver="previewheader('index')" onMouseOut="previewheader()" onClick="toggleMenu('index', 'index');doane(event);">日  常</a></em></li>
   
   <li><em><a href="sys_admin.php" id="header_global" hidefocus="true" onMouseOver="previewheader('global')" onMouseOut="previewheader()" onClick="toggleMenu('global', 'setting&operation=basic');doane(event);">全  局</a></em></li>
   
   <li><em><a href="keywords.php" id="header_topic" hidefocus="true" onMouseOver="previewheader('topic')" onMouseOut="previewheader()" onClick="toggleMenu('topic', 'moderate');doane(event);">推  广</a></em></li>
   
   <li><em><a href="sites.php" id="header_user" hidefocus="true" onMouseOver="previewheader('user')" onMouseOut="previewheader()" onClick="toggleMenu('user', 'members&operation=search');doane(event);">蜘  蛛</a></em></li>
   
   <li><em><a href="union.php" id="header_portal" hidefocus="true" onMouseOver="previewheader('portal')" onMouseOut="previewheader()" onClick="toggleMenu('portal', 'portalcategory');doane(event);">联  盟</a></em></li>
   
   <li><em><a href="cards_manage.php" id="header_forum" hidefocus="true" onMouseOver="previewheader('forum')" onMouseOut="previewheader()" onClick="toggleMenu('forum', 'forums');doane(event);">财  务</a></em></li>
   
   <li><em><a href="member.php" id="header_group" hidefocus="true" onMouseOver="previewheader('group')" onMouseOut="previewheader()" onClick="toggleMenu('group', 'group&operation=setting');doane(event);">用  户</a></em></li>
   
</ul>
<div class="currentloca">
<p>你好, <?php if($admin["arank"]==1){echo '普通管理员';}elseif($admin["arank"]==10){echo '超级管理员';}?> <em><?php echo $admin["adminname"];?></em></p>
</div>

<div class="navbd"></div>
<div class="sitemapbtn">
	<div style="float: left; margin:-7px 10px 0 0">
      <form name="search" method="post" autocomplete="off" action="admin.php?action=search" target="main">
      <input type="text" name="keywords" value="" class="txt" /> 
      <input type="hidden" name="searchsubmit" value="yes" class="btn" />
      <input type="submit" name="searchsubmit" value="搜索" class="btn" style="margin-top: 5px;vertical-align:middle" />
      </form>
    </div>
</div>
</div>
</div>
</td>

</tr>

<tr>

<td valign="top" width="160" class="menutd">

<div id="leftmenu" class="menu">
<ul id="menu_index" style="display: none">
   <li><a href="index_main.php" hidefocus="true" target="main"><em onClick="menuNewwin(this)"></em>管理中心首页</a></li>
   <li><a href="create_html.php?php=../index&html=../index" hidefocus="true" target="main"><em onClick="menuNewwin(this)"></em>生成首页</a></li>
   <li><a href="about.php" hidefocus="true" target="main">单页管理</a><em onClick="menuNewwin(this)"></em></li>
   <li><a href="url_submit.php" hidefocus="true" target="main">提交网址</a><em onClick="menuNewwin(this)"></em></li>
   <li><a href="keyword.php" hidefocus="true" target="main">关键词管理</a><em onClick="menuNewwin(this)"></em></li>
   <li><a href="guestbook.php" hidefocus="true" target="main">留言管理</a><em onClick="menuNewwin(this)"></em></li>
   <li><a href="ad.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>广告管理</a></li> 
   <li><a href="cate.php?action=create_cache" hidefocus="true" target="main"><em onClick="menuNewwin(this)"></em>更新缓存</a></li>

</ul>
<ul id="menu_global" style="display: none">
   <li><a href="sys_admin.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>网站配置</a></li>
   <li><a href="skin.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>风格管理</a></li>
   <li><a href="sqltool.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>SQL工具</a></li>
   <li><a href="Db_admin.php?&framename=main" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>数据库管理</a></li>
</ul>
<ul id="menu_topic" style="display: none">
   <li><a href="keywords_set.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>竞价关键词设置</a></li>
   <li><a href="keywords.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>竞价管理</a></li>
   <li><a href="open_rightad.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>右侧推广管理</a></li>
   <li><a href="open.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>开放平台管理</a></li>
</ul>
<ul id="menu_user" style="display: none">
   <li><a href="/include/spider/login.php" target="_blank">登录蜘蛛</a></li>
   <li><a href="links_web.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>网站列表</a></li>
   <li><a href="links.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>蜘蛛收录列表</a></li>
</ul>
<ul id="menu_portal" style="display: none">
   <li><a href="union.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>网站管理</a></li>
   <li><a href="union_code.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>联盟代码管理</a></li>
   <li><a href="union_ips.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>流量作弊</a></li>
   <li><a href="union_ips.php?type=1" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>贡献流量</a></li>
   <li><a href="union_ips.php?type=2" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>得到流量</a></li>
</ul>
<ul id="menu_forum" style="display: none">
   <li><a href="cards_type.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>点卡产品分类 </a></li>
   <li><a href="cards_manage.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>点卡产品管理</a></li>
   <li><a href="cards_make.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>点卡生成向导</a></li>
   <li><a href="cards_order.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>会员充值记录</a></li>
   <li><a href="aipay_order.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>支付宝充值记录</a></li>
</ul>
<ul id="menu_group" style="display: none">
   <li><a href="admin.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>管理员</a></li>
   <li><a href="member.php" target="main" hidefocus="true" ><em onClick="menuNewwin(this)"></em>会员管理</a></li>
</ul>
</div>
</td>
  <td valign="top" width="100%" class="mask">
	<iframe src="index_main.php" id="main" name="main" width="100%" height="100%" frameborder="0" scrolling="yes" style="overflow: visible;display:"></iframe>
  </td>
</tr>
</table>
<div id="scrolllink" style="display: none">
	<span onClick="menuScroll(1)"><img src="css/scrollu.gif" /></span>
    <span onClick="menuScroll(2)"><img src="css/scrolld.gif" /></span>
</div>
<div class="copyright">
	<p><script src=http://www.somao123.com/adfile/ad25.js></script></p>
</div>

<script type="text/JavaScript">

	var cookiepre = 'FuyA_2132_', cookiedomain = '', cookiepath = '/';

	var headers = new Array('index','global','topic','user','portal','forum','group'), admincpfilename = 'index_main.php', menukey = '';

	function switchheader(key) {

		if(!key || !$('header_' + key)) {

			return;

		}

		for(var k in top.headers) {

			if($('menu_' + headers[k])) {

				$('menu_' + headers[k]).style.display = headers[k] == key ? '' : 'none';

			}

		}

		var lis = $('topmenu').getElementsByTagName('li');

		for(var i = 0; i < lis.length; i++) {

			if(lis[i].className == 'navon') lis[i].className = '';

		}

		$('header_' + key).parentNode.parentNode.className = 'navon';

	}

	var headerST = null;

	function previewheader(key) {

		if(key) {

			headerST = setTimeout(function() {

				for(var k in top.headers) {

					if($('menu_' + headers[k])) {

						$('menu_' + headers[k]).style.display = headers[k] == key ? '' : 'none';

					}

				}

				var hrefs = $('menu_' + key).getElementsByTagName('a');

				for(var j = 0; j < hrefs.length; j++) {

					hrefs[j].className = '';

				}

			}, 1000);

		} else {

			clearTimeout(headerST);

		}

	}

	function toggleMenu(key, url) {

		menukey = key;

		switchheader(key);

		if(url) {

			//parent.main.location = admincpfilename + '?action=' + url;
			parent.main.location = admincpfilename + '?action=' + url;

			var hrefs = $('menu_' + key).getElementsByTagName('a');

			for(var j = 0; j < hrefs.length; j++) {

				hrefs[j].className = j == (key == 'plugin' ? 1 : 0) ? 'tabon' : '';

			}

		}

		if(key == 'uc') {

			parent.main.location = $('header_uc').href + '&a=main&iframe=1';

		}

		setMenuScroll();

	}

	function setMenuScroll() {

		$('frametable').style.width = document.body.offsetWidth < 1000 ? '1000px' : '100%';

		var obj = $('menu_' + menukey);

		if(!obj) {

			return;

		}

		var scrollh = document.body.offsetHeight - 160;

		obj.style.overflow = 'visible';

		obj.style.height = '';

		$('scrolllink').style.display = 'none';

		if(obj.offsetHeight + 150 > document.body.offsetHeight && scrollh > 0) {

			obj.style.overflow = 'hidden';

			obj.style.height = scrollh + 'px';

			$('scrolllink').style.display = '';

		}

	}

	function resizeHeadermenu() {

		var lis = $('topmenu').getElementsByTagName('li');

		var maxsize = $('frameuinfo').offsetLeft - 160, widths = 0, moi = -1, mof = '';

		if($('menu_mof')) {

			$('topmenu').removeChild($('menu_mof'));

		}

		if($('menu_mof_menu')) {

			$('append_parent').removeChild($('menu_mof_menu'));

		}

		for(var i = 0; i < lis.length; i++) {

			widths += lis[i].offsetWidth;

			if(widths > maxsize) {

				lis[i].style.visibility = 'hidden';

				var sobj = lis[i].childNodes[0].childNodes[0];

				if(sobj) {

					mof += '<a href="'+ sobj.getAttribute('href') + '" onclick="$(\'' + sobj.id + '\').onclick()">&rsaquo; ' + sobj.innerHTML + '</a><br style="clear:both" />';

				}

			} else {

				lis[i].style.visibility = 'visible';

			}

		}

		if(mof) {

			for(var i = 0; i < lis.length; i++) {

				if(lis[i].style.visibility == 'hidden') {

					moi = i;

					break;

				}

			}

			mofli = document.createElement('li');

			mofli.innerHTML = '<em><a href="javascript:;">&raquo;</a></em>';

			mofli.onmouseover = function () { showMenu({'ctrlid':'menu_mof','pos':'43'}); }

			mofli.id = 'menu_mof';

			$('topmenu').insertBefore(mofli, lis[moi]);

			mofmli = document.createElement('li');

			mofmli.className = 'popupmenu_popup';

			mofmli.style.width = '150px';

			mofmli.innerHTML = mof;

			mofmli.id = 'menu_mof_menu';

			mofmli.style.display = 'none';

			$('append_parent').appendChild(mofmli);

		}

	}


	function initCpMenus(menuContainerid) {

		var key = '', lasttabon1 = null, lasttabon2 = null, hrefs = $(menuContainerid).getElementsByTagName('a');

		for(var i = 0; i < hrefs.length; i++) {

			if(menuContainerid == 'leftmenu' && 'action=index'.indexOf(hrefs[i].href.substr(hrefs[i].href.indexOf(admincpfilename + '?') + admincpfilename.length + 1)) != -1) {

				if(lasttabon1) {

					lasttabon1.className = '';

				}

				if(hrefs[i].parentNode.parentNode.tagName == 'OL') {

					hrefs[i].parentNode.parentNode.style.display = '';

					hrefs[i].parentNode.parentNode.parentNode.className = 'lsub desc';

					key = hrefs[i].parentNode.parentNode.parentNode.parentNode.parentNode.id.substr(5);

				} else {

					key = hrefs[i].parentNode.parentNode.id.substr(5);

				}

				hrefs[i].className = 'tabon';

				lasttabon1 = hrefs[i];

			}

			if(!hrefs[i].getAttribute('ajaxtarget')) hrefs[i].onclick = function() {

				if(menuContainerid != 'custommenu') {

					var lis = $(menuContainerid).getElementsByTagName('li');

					for(var k = 0; k < lis.length; k++) {

						if(lis[k].firstChild && lis[k].firstChild.className != 'menulink') {

							if(lis[k].firstChild.tagName != 'DIV') {

								lis[k].firstChild.className = '';

							} else {

								var subid = lis[k].firstChild.getAttribute('sid');

								if(subid) {

									var sublis = $(subid).getElementsByTagName('li');

									for(var ki = 0; ki < sublis.length; ki++) {

										if(sublis[ki].firstChild && sublis[ki].firstChild.className != 'menulink') {

											sublis[ki].firstChild.className = '';

										}

									}

								}

							}

						}

					}

					if(this.className == '') this.className = menuContainerid == 'leftmenu' ? 'tabon' : '';

				}

				if(menuContainerid != 'leftmenu') {

					var hk, currentkey;

					var leftmenus = $('leftmenu').getElementsByTagName('a');

					for(var j = 0; j < leftmenus.length; j++) {

						if(leftmenus[j].parentNode.parentNode.tagName == 'OL') {

							hk = leftmenus[j].parentNode.parentNode.parentNode.parentNode.parentNode.id.substr(5);

						} else {

							hk = leftmenus[j].parentNode.parentNode.id.substr(5);

						}

						if(this.href.indexOf(leftmenus[j].href) != -1) {

							if(lasttabon2) {

								lasttabon2.className = '';

							}

							leftmenus[j].className = 'tabon';

							if(leftmenus[j].parentNode.parentNode.tagName == 'OL') {

								leftmenus[j].parentNode.parentNode.style.display = '';

								leftmenus[j].parentNode.parentNode.parentNode.className = 'lsub desc';

							}

							lasttabon2 = leftmenus[j];

							if(hk != 'index') currentkey = hk;

						} else {

							leftmenus[j].className = '';

						}

					}

					if(currentkey) toggleMenu(currentkey);

					hideMenu();

				}

			}

		}

		return key;

	}

	function lsub(id, obj) {

		display(id);

		obj.className = obj.className != 'lsub' ? 'lsub' : 'lsub desc';

		if(obj.className != 'lsub') {

			setcookie('cpmenu_' + id, '');

		} else {

			setcookie('cpmenu_' + id, 1, 31536000);

		}

		setMenuScroll();

	}

	var header_key = initCpMenus('leftmenu');

	toggleMenu(header_key ? header_key : 'index');

	function initCpMap() {

		var ul, hrefs, s = '', count = 0;

		for(var k in headers) {

			if(headers[k] != 'index' && headers[k] != 'uc') {

				s += '<td valign="top"><ul class="cmblock"><li><h4>' + $('header_' + headers[k]).innerHTML + '</h4></li>';

				ul = $('menu_' + headers[k]);

				if(!ul) {

					continue;

				}

				hrefs = ul.getElementsByTagName('a');

				for(var i = 0; i < hrefs.length; i++) {

					s += '<li><a href="' + hrefs[i].href + '" target="' + hrefs[i].target + '" k="' + headers[k] + '">' + hrefs[i].innerHTML + '</a></li>';

				}

				s += '<li></li></ul></td>';

				count++;

			}

		}

		var width = (count > 11 ? 11 : count) * 80;

		s = '<div class="cnote" style="width:' + width + 'px"><span class="right"><a href="###" class="flbc" onclick="hideMenu();return false;"></a></span><h3>管理中心导航</h3></div>' +

			'<div class="cmlist" style="width:' + width + 'px"><table id="mapmenu" cellspacing="0" cellpadding="0" ><tr>' + s +

			'</tr></table></div>';

		$('cmain').innerHTML = s;

		$('cmain').style.width = (width > 1000 ? 1000 : width) + 'px';

	}

	initCpMap();

	initCpMenus('mapmenu');

	var cmcache = false;

	_attachEvent(document.documentElement, 'keydown', resetEscAndF5);

	_attachEvent(window, 'resize', setMenuScroll, document);

	_attachEvent(window, 'resize', resizeHeadermenu, document);

	if(BROWSER.ie){

		$('leftmenu').onmousewheel = function(e) { menuScroll(3, e) };

	} else {

		$('leftmenu').addEventListener("DOMMouseScroll", function(e) { menuScroll(3, e) }, false);

	}

	resizeHeadermenu();

</script>

</body>

</html>

